API ReferenceFulfillment
Locations List
Retrieve a list of all configured fulfillment locations.
Authorization
oauth2 fulfillment_service:read, locations:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: fulfillment_service:read, locations:read
Query Parameters
cursor?string
The pagination cursor value.
Header Parameters
X-29next-API-Version*"2024-04-01"
Default
"2024-04-01"Value in
- "2024-04-01"
Response Body
application/json
curl -X GET "https://example.com/locations/" \ -H "X-29next-API-Version: 2024-04-01"{ "next": "http://example.com", "previous": "http://example.com", "results": [ { "accept_return": true, "address": { "country": "string", "line1": "string", "line2": "string", "line3": "string", "line4": "string", "phone_number": "string", "postcode": "string", "state": "string" }, "allowed_destination_countries": [ "string" ], "callback_url": "http://example.com", "id": 0, "name": "string" } ]}